# Reverse an ACH transfer

**POST** `/transfers/ach/{ach_transfer_id}/reverse`

Reverse an erroneous outgoing ACH transfer. You can read more about [ACH Reversals](/ach/reversals).

### Path Parameters

- `ach_transfer_id` `string` _(required)_ — Unique identifier for the ACH transfer.

### Body Parameters

- `description` `string` — Description for the reversal.
- `reason` `string` — Reason for the reversal transfer. Must be one of the following:`duplicated_entry`: the original transfer is a duplicated transfer
  `incorrect_amount`: the original transfer has an incorrect amount
  `incorrect_receiver_account`: the original transfer has an incorrect receiver account
  `debit_earlier_than_intended`: the original transfer is an ACH debit requested earlier than intended
  `credit_later_than_intended`: the original transfer is an ACH credit requested later than intended

**Request**

```shell
curl 'https://api.column.com/transfers/ach/<ach_transfer_id>/reverse' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d reason="duplicated_entry" \
  -d description="reverse duplicated transfer"
```

**Response 200**

```json
{
  "account_number_id": "acno_28LvftEu6Ee31HZzMCLrjf9skqU",
  "acknowledged_at": null,
  "allow_overdraft": false,
  "amount": 12500,
  "bank_account_id": "bacc_28LvfooToT4UhrNLxoDX8EuZLeR",
  "cancelled_at": null,
  "company_discretionary_data": "",
  "company_entry_description": "REVERSAL",
  "company_id": "9121145307",
  "company_name": "COLUMN NA",
  "completed_at": null,
  "counterparty_id": "cpty_28LvfpAkfFAO1PiSSEY8rJAOtou",
  "created_at": "2022-04-26T21:33:07Z",
  "currency_code": "USD",
  "description": "reverse duplicated transfer",
  "effective_on": "2022-04-27T07:00:00Z",
  "entry_class_code": "PPD",
  "iat": null,
  "id": "acht_28LvftqvcJ7nE5BDOAMLzTBI8xe",
  "idempotency_key": "28LvfqsLQYMMtFFaV95gDYbcfMo",
  "initiated_at": "2022-04-26T21:33:07Z",
  "is_incoming": false,
  "is_on_us": false,
  "manual_review_at": null,
  "nsf_deadline": null,
  "odfi_routing_number": "121145307",
  "payment_related_info": "duplicated_entry",
  "receiver_id": "",
  "receiver_name": "CHASE ACCOUNT",
  "return_contested_at": null,
  "return_details": [],
  "return_dishonored_at": null,
  "returned_at": null,
  "reversal_pair_transfer_id": "acht_28Lvftv63RqD69H9gpbF4oQ2JEW",
  "same_day": false,
  "settled_at": null,
  "status": "INITIATED",
  "submitted_at": null,
  "trace_number": "",
  "type": "DEBIT",
  "notification_of_changes": null,
  "updated_at": "2022-04-26T21:33:07Z",
  "ultimate_beneficiary_counterparty_id": "",
  "ultimate_originator_counterparty_id": "",
  "entry_details": {
    "transaction_code": 27,
    "transaction_code_name": "Checking Debit"
  }
}
```
